Bug 49640 - rpm install fails to find getopts.pl
Summary: rpm install fails to find getopts.pl
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: ghostscript   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-22 16:27 UTC by sean
Modified: 2007-04-18 16:35 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-22 16:27:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description sean 2001-07-22 16:27:16 UTC
Description of Problem:
[root@localhost i386]# rpm -Fvh ghostscript-6.51-1.i386.rpm
error: failed dependencies:
	perl(getopts.pl)   is needed by ghostscript-6.51-1

[root@localhost i386]# locate getopts.pl
/usr/lib/perl5/5.6.1/getopts.pl

[system@localhost 5.6.1]$ perl -e 'print join("\n",@INC);'
/usr/lib/perl5/5.6.1/i386-redhat-linux
/usr/lib/perl5/5.6.1
/usr/lib/perl5/site_perl/i386-redhat-linux/5.6.1
/usr/lib/perl5/site_perl
/usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl
. 



How Reproducible:

As above.

Steps to Reproduce:
1. See above
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Crutcher Dunnavant 2001-08-02 22:20:07 UTC
/usr/lib/perl5/5.6.1

we never created a 5.6.1 perl rpm, so rpm cannot find that perl provides.


Note You need to log in before you can comment on or make changes to this bug.